%define upstream_name    IO-Socket-PortState
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl extension for checking the open or closed status of a port
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::INET)
BuildArch: noarch

%description
You can use it to check if a port is open or closed for a given host and
protocol.

EXPORT
    None by default. But you can export check_ports();

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-6.mga6
+ Revision: 1028781
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-5.mga6
+ Revision: 946833
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 744627
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 685080
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 528430
- Mageia 4 Mass Rebuild

* Wed Jun 19 2013 shlomif <shlomif> 0.30.0-1.mga4
+ Revision: 445033
- imported package perl-IO-Socket-PortState


* Wed Jun 19 2013 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
